> Tous les forums > Forum Forum des Webmasters
 PH4 à PHP5-6Sujet résolu
Ajouter un message à la discussion
Page : [1] 
Page 1 sur 1
zouf
  Posté le 18/09/2015 @ 15:37 
Aller en bas de la page 
Astucien

Bonjour,

Je fréquente assidument un site entièrement dédié aux anciens enfants de troupe de l'école militaire préparatoire d'Autun.(AET)

Ce site est totalement gratuit, sans aucun profit et il est animé par deux ou trois bénévoles , eux même anciens de l'école. Ils alimentent la galerie photos avec des photos envoyés par les anciens élèves ainsi qu'un forum où il est question de tout et de rien si ce n'est qu'il permet aux anciens de faire preuve d'esprit critique et d'insolence comme au bon vieux temps.
Et là, catastrophe, dans quelques jours le site va passer de PHP4 en PHP 5-6 .

Or aucun des animateurs ni des habitués du site ne connaissent ce nouveau langage. CE qui veux dire que notre site va être condamné et nous n'aurons plus le moyen de rester en contact et d'avoir des nouvelles des anciens.

Je ne sais pas s'il est difficile de faire la transition, n'y connaissant rien.

Peut être y aurait-il parmi vous quelque bonne âme qui pourrait prendre contact avec notre web master pour en discuter?

Voici son mail : Bernard Mir mir.bernard@neuf.fr

Je vous en remercie d'avance.

L'adresse du site est www.lignedemir.net . C'est la partie visible par tout le monde mais il y a une autre partie qui n'est visible qu'après inscription (voir avec B.M.)



Modifié par zouf le 19/09/2015 18:59
Publicité
zoulouman
 Posté le 19/09/2015 à 11:11 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Salut,

Pas de panique !

Tu sembles être chez OVH. D'après ce que j'ai lu, ils passeront à PHP 5.4 par défaut. PHP 5.6 est conseillé, juste conseillé.

Ceci dit, des problèmes peuvent quand même apparaitre.

Ton webmaster trouvera toutes les infos ici : http://php.net/manual/fr/migration5.php

Il serait bien pour vous que votre site suive les évolutions de PHP (idem pour Apache et SQL, quoi que, en mutualisé, ça doit être géré par OVH), ne serait-ce que pour des raisons de sécurité.

D'autant plus quand on utilise un hébergement mutualisé. Les personnes utilisant les versions obsolètes de PHP ne doivent plus être très nombreuses sur le serveur que ton site occupe, ce qui explique que OVH procède à la migration de ses serveurs mutualisés.

La seule solution pour pouvoir continuer à utiliser des versions obsolètes et celle d'avoir son propre serveur. Là, OVH ne te dira rien, c'est ton matériel. Si il est piraté, ça ne dépassera pas le serveur.

Toutefois, s'offrir un serveur pour en faire un "musée des versions obsolètes de Apache/PHP/SQL" n'est pas du tout une bonne idée.

Courage ! Ton webmaster à juste à s'informer, se retrousser les manches et aller dans le cambouis (un peu).

EDIT

J'oubliais, tu as aussi le lien OVH : https://www.ovh.com/fr/g1758.faq-migration-php



Modifié par zoulouman le 19/09/2015 11:14
zouf
 Posté le 19/09/2015 à 12:02 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Merci zoulouman.J'ai transmis ton message à mon webmaster parce que pour moi c'est de l'hébreu!

A lui de voir et encore merci pour ton aide

zoulouman
 Posté le 19/09/2015 à 17:37 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Qu'est-ce que c'est comme forum, phpBB ?

Si des CMS sont utilisés sur le site, il suffit de les mettre à jour pour assurer la compatibilité avec PHP.

Par contre, si c'est du code maison, comme déjà dit, il faut aller dans le cambouis...

A première vue, il y a du très vieux HTML bizarrement agencé, mais très vieux HTML quand même. C'est pas un CMS qui a sorti ce code avec 2 doctype.

Dommage qu'on ne puisse pas voir plus loin...

Dreamer
 Posté le 19/09/2015 à 18:25 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Maître astucien

, Je pense que cela a été crée avec DreamWeaver 6 et comme Zoulouman, je pense que c'est du html basic, très très basic ...

Exemple

<p align="justify">&nbsp;</p>

ou encore

<p align="center">&nbsp;</p>
<p></p>
<table width="80%" align="center" >
  <tr>
    <td><h2 align="center" id="pageName"><span class="Style7">L'&eacute;cole h&eacute;berge le mus&eacute;e des enfants de troupe. </span></h2>
      <blockquote>
        <h3 align="center" class="Style6"><a href="http://www.museedesenfantsdetroupe.fr/">http://www.museedesenfantsdetroupe.fr/" target="_blank">Visitez le site du musée</a></h3>
		
		<h3 align="center" class="Style6">&nbsp;</h3>
        <p align="center"><img src="http://www.lignedemir.net/album/musee/slides/muz07.jpg">/album/musee/slides/muz07.jpg" width="512" height="340"></p>
      </blockquote></td>
  </tr>
</table>
<h2 align="center">&nbsp;</h2>

il gagnerait à être refait !!

zouf
 Posté le 19/09/2015 à 18:56 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Merci les gars de vous intéresser à ma demande mais ce serait chic d'adresser vos réflexion directement au webmaster de ce site poarce que moi cela ne me dit rien du tout!!!

Je vais lui dire de venir sur le forum

Merci à vous

zoulouman
 Posté le 19/09/2015 à 19:09 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Effectivement, sans intermédiaire, ce serait plus facile.

Dreamer :

Le plus urgent, c'est de mettre à jour leur forum pour PHP 5.4 au moins et voir si leurs autres scripts PHP tournent bien. L'idéal serait la version 5.6, mais ça risque de coincer côté base de données si c'est MySQL qui est utilisé.

OVH met à jour PHP le 24, si mes souvenirs sont bons. Il faut faire l'upgrade avant. Ca permet de faire des tests et de basculer d'une version de PHP à une autre. Attendre d'être mis devant le fait accompli ne serait pas du tout la bonne soluce.

Sinon, après, c'est clair qu'un petit rajeunissement du HTML ne pourrait pas faire de mal du tout.

Il faut savoir tourner la page et avancer.

zoulouman
 Posté le 24/09/2015 à 12:43 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Des nouvelles ici ?

La transition ne devait pas avoir lieu aujourd'hui ? Le site est toujours en PHP 4.4.9

zouf
 Posté le 24/09/2015 à 13:33 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Leur hébergeur OVH leur a adressé un courrier leur disant que la transition se ferait A PARTIR du 24 septembre mais sans fixer de date définitive. Le webmaster va essayer de se débrouiller pour mettre le site à jour car il a payé jusqu'en mars 2016.

Publicité
zoulouman
 Posté le 24/09/2015 à 19:56 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

C'est dommage, il aurait fallu faire migrer le site vers sa nouvelle version avant la migration OVH.

Ca aurait permis de faire des aller/retours entre la version à venir et la version actuelle sans se prendre la tête en cas d'erreur.

Là, ton webmaster va se retrouver devant le fait accompli et il risque d'avoir des problèmes en masse.

Enfin, il s'appuiera sur les logs d'erreurs pour avancer. Ca finira par remarcher.

zouf
 Posté le 24/09/2015 à 20:58 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Merci pour ton intérêt mais moi, je n'y connais rien dans le langage PHP quelque soit la version!!!!

Je redonne le mail du webmaster: www.lignedemir.net

Si tu le juge nécessaire tu pourrai lui expliquer tout cela. Avec moi autant discuter avec une enclume!!!!!!

Encore merci et bonne soirée

zoulouman
 Posté le 25/09/2015 à 09:34 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Avec une chaise, ça marche ?

J'ai pas d'enclume...

zouf
 Posté le 25/09/2015 à 11:58 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
Astucien

Mieux qu'avec moi!!!!

Page : [1] 
Page 1 sur 1

Vous devez être connecté pour poster des messages. Cliquez ici pour vous identifier.

Vous n'avez pas de compte ? Créez-en un gratuitement !


Sujets relatifs
formulaire mail php5
Configuration Apach2 , php5 et mysql5
configurer php5 pour apache2
DOM de PHP5
 > Tous les forums > Forum Forum des Webmasters